KIO::FileCopyJob class Reference (kio Library)

| # kio Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KIO::FileCopyJob Class Reference

The FileCopyJob copies data from one place to another. More...

`#include <jobclasses.h>`

Inheritance diagram for KIO::FileCopyJob:

[legend]
Collaboration diagram for KIO::FileCopyJob:

[legend]
List of all members.

## Public Slots
void | slotStart ()
void | slotData (KIO::Job *, const QByteArray &data)
void | slotDataReq (KIO::Job *, QByteArray &data)
## Public Member Functions
| FileCopyJob (const KURL &src, const KURL &dest, int permissions, bool move, bool overwrite, bool resume, bool showProgressInfo)
void | setSourceSize (off_t size)
| If you know the size of the source file, call this method to inform this job.
KURL | srcURL () const
KURL | destURL () const
## Protected Slots
virtual void | slotResult (KIO::Job *job)
| Called whenever a subjob finishes.
void | slotProcessedSize (KIO::Job *, KIO::filesize_t size)
| Forward signal from subjob.
void | slotTotalSize (KIO::Job *, KIO::filesize_t size)
| Forward signal from subjob.
void | slotPercent (KIO::Job *, unsigned long pct)
| Forward signal from subjob.
void | slotCanResume (KIO::Job *, KIO::filesize_t offset)
| Forward signal from subjob.
## Protected Member Functions
void | startCopyJob ()
void | startCopyJob (const KURL &slave_url)
void | startDataPump ()
void | connectSubjob (SimpleJob *job)
virtual void | virtual_hook (int id, void *data)
## Protected Attributes
KURL | m_src
KURL | m_dest
int | m_permissions
bool | m_move:1
bool | m_overwrite:1
bool | m_resume:1
bool | m_canResume:1
bool | m_resumeAnswerSent:1
QByteArray | m_buffer
SimpleJob * | m_moveJob
SimpleJob * | m_copyJob
TransferJob * | m_getJob
TransferJob * | m_putJob
KIO::filesize_t | m_totalSize

## Detailed Description

The FileCopyJob copies data from one place to another.

Definition at line 769 of file jobclasses.h.

## Member Function Documentation

void KIO::FileCopyJob::setSourceSize | ( | off_t | size | ) |

| If you know the size of the source file, call this method to inform this job. It will be displayed in the "resume" dialog.

virtual void KIO::FileCopyJob::slotResult | ( | KIO::Job * | job | ) | `[protected, virtual, slot]`

| Called whenever a subjob finishes. Reimplemented from KIO::Job.

void KIO::FileCopyJob::slotProcessedSize | ( | KIO::Job * | ,
|  | KIO::filesize_t | size
| ) | `[protected, slot]`

| Forward signal from subjob.

void KIO::FileCopyJob::slotTotalSize | ( | KIO::Job * | ,
|  | KIO::filesize_t | size
| ) | `[protected, slot]`

| Forward signal from subjob.

void KIO::FileCopyJob::slotPercent | ( | KIO::Job * | ,
|  | unsigned long | pct
| ) | `[protected, slot]`

| Forward signal from subjob.

void KIO::FileCopyJob::slotCanResume | ( | KIO::Job * | ,
|  | KIO::filesize_t | offset
| ) | `[protected, slot]`

| Forward signal from subjob.

The documentation for this class was generated from the following file:

- jobclasses.h

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:25:52 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001